GET /video/v1/delivery-usage

mux.com

Summary: List Usage
Operation ID: list-delivery-usage
Auth: unknown
Description

Returns a list of delivery usage records and their associated Asset IDs or Live Stream IDs.

Parameters (5)

asset_id (string, query, optional)

Filter response to return delivery usage for this asset only. You cannot specify both the `asset_id` and `live_stream_id` parameters together.

limit (integer, query, optional, default: 100)

Number of items to include in the response

live_stream_id (string, query, optional)

Filter response to return delivery usage for assets for this live stream. You cannot specify both the `asset_id` and `live_stream_id` parameters together.

page (integer, query, optional, default: 1)

Offset by this many pages, of the size of `limit`

timeframe[] (array, query, optional)

Time window to get delivery usage information. timeframe[0] indicates the start time, timeframe[1] indicates the end time in seconds since the Unix epoch. Default time window is 1 hour representing usage from 13th to 12th hour from when the request is made.

No probe data for this endpoint yet.